//////////                 Definiere Header                 //////////
#ifndef TOASTER_H
#define TOASTER_H

//////////           Inkludierte Header-Dateien             //////////
#include <Arduino.h>
#include "DS18B20.h"
#include "LiquidCrystal.h"

//////////                Definierte Symbole                //////////
#define MAGNET_PIN 11
#define TEMPSENSOR_PIN 6
#define HEATER_DUTYCYCLE_PIN A1
#define HEATER_PIN 3
#define LED_PIN 5
#define STOP_PIN 2
#define TIMER_PIN A0

#define MAX_TIME 360000
#define BAUDRATE 9600

//////////               Definierte Funktionen              //////////

/**
 * @brief Function to print temperature, actual time and max time on LC-Display.
 * 
 * @param temp_in_c (float) temperature in degree celsius
 * @param t_in_s (int) actual time since start.
 * @param tmax_in_s (int) max time after program ends
 */
void lcd(float temp_in_c, int t_in_s, int tmax_in_s);

/**
 * @brief Get actual temperature.
 * 
 * @return (float) temperature in degree celsius
 */
float get_temp(void);

//////////                  Header Ende                     //////////
#endif